include "TCThriftVehicle.thrift"

namespace cocoa TCThrift
namespace java com.truecar.mobile.thriftApi

//
//	BaseURL
//
//	The base URL for this API is https://{host}/api/{version}.
//	The base path is thus /api/{version}.
//

//
//	GetVehiclePortfolios API Endpoint
//
//	This API endpoint is used to retrieve the saved vehicle portfolios for a user. Saved vehicle portfolios combine
//	vehicle configurations with price report and quotes, which may or may not have leads submitted yet. This API
//	endpoint is the primary API endpoint behind the offline storage synchronization process. This API endpoint is called
//	on initial login to download the set of saved vehicle portfolios known to the server. It is then periodically called
//	thereafter to pick up any changes that have occurred on the server via other devices or browsers.
//
//	URL: {baseUrl}/vehicle-portfolio/pag/{pag}/user/{userHandle}
//
//	Request:
//		GET {basePath}/vehicle-portfolio/pag/{pag}/user/{userHandle} HTTP/1.1
//		Host: {host}
//		Accept: application/x-thrift
//		X-TrueCar-Token: {secureToken}
//
//	Response (success):
//		HTTP/1.1 200 OK
//		Content-Type: application/x-thrift
//		Content-Length: {length}
//
//		{GetVehiclePortfoliosResponse}
//
//	Response (error):
//		HTTP/1.1 {non200Status}
//		Content-Type: application/x-thrift
//		Content-Length: {length}
//
//		{Exception}
//
//	Potential Error Codes:
//		TokenInvalid
//		TokenExpired
//		UserHandleInvalid
//		
struct GetVehiclePortfoliosResponse
{
	1:required list<TCThriftVehicle.VehiclePortfolio> vehiclePortfolios,
}
