/*
 * This file holds the definitions for monetary data types.
 */
 
namespace java com.truecar.thrift.type
namespace cocoa TCThrift


/**
 * Monetary values are represented as cents using a signed 32-bit value, allowing values up to $21,474,836.48. This
 * range easily covers the current prices of new vehicles available through TrueCar.   It also avoids the problems
 * inherent in representing monetary values using floating point types.
 * <p>
 * <em>Note:</em> This type is used in the representation of price offsets as well.  In that case, it is entirely
 * legal for values of this type to take on negative values.
 * </p>
 */
typedef i32 UsdCents


