include "../common/Monetary.thrift"
include "OptionState.thrift"

namespace cocoa TCThriftConsumerApp_
namespace java com.truecar.mobile.thrift.consumerapp

/**
 *	A single selected option.
 */
struct Option
{
	/**
	 *	Option ID.
	 */
    1: required i64 optionId,
    
    /**
     *	Trim-dependent option ID.
     */
    2: required i16 trimDependentOptionId,
    
    /**
     *	Name.
     */
    3: optional string name,
    
    /**
     *	Description.
     */
    4: optional string desc,
    
    /**
     *	Category.
     */
    5: optional string category,
    
    /**
     *	Invoice price.
     */
    6: optional Monetary.UsdCents invoicePrice,
    
    /**
     *	MSRP.
     */
    7: optional Monetary.UsdCents msrpPrice,
    
    /**
     *	Option state.
     */
    8: optional OptionState.OptionState state,
}
