include "../common/Temporal.thrift"
include "Contact.thrift"
include "DealerType.thrift"
include "Offer.thrift"
include "Perk.thrift"
include "Photo.thrift"
include "Video.thrift"

namespace cocoa TCThriftConsumerApp_
namespace java com.truecar.mobile.thrift.consumerapp

/**
 *	Dealer.
 */
struct Dealer
{
	/**
	 *	Dealer ID.
	 */
	1: required i64 dealerId,
	
	/**
	 *	Name.
	 */
	2: optional string name,
	
	/**
	 *	Street address line 1.
	 */
	4: optional string streetAddress1,

	/**
	 *	Street address line 2.
	 */
	5: optional string streetAddress2,
	
	/**
	 *	City.
	 */
	6: optional string city,

	/**
	 *	State.
	 */
	7: optional string state,

	/**
	 *	ZIP Code.
	 */
	8: optional string postalCode,

	/**
	 *	Phone number.
	 */
	9: optional string phone,

	/**
	 *	Longitude.
	 */
	10: optional double longitude,

	/**
	 *	Latitude.
	 */
	11: optional double latitude,

	/**
	 *	Dealer type.
	 */
	12: optional DealerType.DealerType dealerType,

	/**
	 *	Hours of operation.
	 */
	13: optional Temporal.HoursOfOperation hoursOfOperation,
	
	/**
	 *	URL for "About Dealership" web page.
	 */
	14: optional string aboutDealershipUrl,
	
	/**
	 *	URL for Facebook page.
	 */
	15: optional string facebookUrl,
	
	/**
	 *	URL for inventory web page.
	 */
	16: optional string inventoryUrl,
	
	/**
	 *	URL for used inventory web page.
	 */
	17: optional string usedInventoryUrl,
	
	/**
	 *	URL for Twitter page.
	 */
	18: optional string twitterUrl,
	
	/**
	 *	URL for web page.
	 */
	19: optional string websiteUrl,
	
    /**
     *	Flag to indicate that this dealership is usable for PriceCheck.
     */
    20: optional bool priceCheckEnabled,
    
    /**
     *	List of contacts.
     */
    21: optional list<Contact.Contact> contacts,
    
    /**
     *	List of perks.
     */
    22: optional list<Perk.Perk> perks,
    
    /**
     *	List of photos.
     */
    23: optional list<Photo.Photo> photos,
    
    /**
     *	List of videos.
     */
    24: optional list<Video.Video> videos,

    /**
     *	List of offers.
     */
    25: optional list<Offer.Offer> offers,
    
	/**
     * Lifetime sales total.
     */
    26: optional i32 lifetimeSalesTotal,    
    
    /**
     * Dealer transparency pledge.
     */
    27: optional bool dealerTransparencyPledge,
}
