include "../common/Monetary.thrift"
include "../common/Temporal.thrift"
include "IncentiveType.thrift"

namespace cocoa TCThriftConsumerApp_
namespace java com.truecar.mobile.thrift.consumerapp

/**
 *	A single selected incentive.
 */
struct Incentive
{
	/**
	 *	Incentive ID.
	 */
    1:required i64 incentiveId,
    
    /**
     *	Name.
     */
    2:optional string name,
    
    /**
     *	Description.
     */
    3:optional string desc,
    
    /**
     *	Incentive type.
     */
    4:optional IncentiveType.IncentiveType incentiveType,

	/**
	 *	Dealer ID.
	 */    
    5:optional i64 dealerId,

    /**
     *	Pre-selected flag.
     */
    6:optional bool preselected,
    
    /**
     *	Start date.
     */
    7:optional Temporal.DateIsoString startDate,
    
    /**
     *	End date.
     */
    8:optional Temporal.DateIsoString endDate,
    
    /**
     *	Amount.
     */
    9:optional Monetary.UsdCents amount,
}
