namespace cocoa TCThrift
namespace java com.truecar.mobile.thriftApi

//
//	BaseURL
//
//	The base URL for this API is https://{host}/api/{version}.
//	The base path is thus /api/{version}.
//

//
//	DeleteVehiclePortfolio API Endpoint
//
//	This API endpoint is used to remove a vehicle portfolio from the saved vehicle portfolios of a user. This API
//	endpoint is called during the synchronization process for any vehicles that have been marked as deleted via the
//	application.
//
//	URL: {baseUrl}/delete-portfolio/pag/{pag}/user/{userHandle}/portfolio/{vehiclePortfolioId}
//
//	Request:
//		POST {basePath}/delete-portfolio/pag/{pag}/user/{userHandle}/portfolio/{vehiclePortfolioId} HTTP/1.1
//		Host: {host}
//		Content-Type: application/octet-stream
//		Content-Length: 0
//		Accept: application/octet-stream
//		X-TrueCar-Token: {secureToken}
//
//	Response (success):
//		HTTP/1.1 200 OK
//		Content-Type: application/octet-stream
//		Content-Length: 0
//
//	Response (error):
//		HTTP/1.1 {non200Status}
//		Content-Type: application/x-thrift
//		Content-Length: {length}
//
//		{Exception}
//
//	Potential Error Codes:
//		TokenInvalid
//		TokenExpired
//		UserHandleInvalid
//		VehiclePortfolioIdInvalid
//		VehiclePortfolioNotFound
//
