include "TCThriftVehicle.thrift"

namespace cocoa TCThrift
namespace java com.truecar.mobile.thriftApi

//
//	BaseURL
//
//	The base URL for this API is https://{host}/api/{version}.
//	The base path is thus /api/{version}.
//

//
//	UpdateVehiclePortfolio API Endpoint
//
//	This API endpoint is used to create or update a saved vehicle portfolio for the user. Saved vehicle portfolios
//	combine vehicle configurations with price report and quotes, which may or may not have leads submitted yet. When
//	creating a new vehicle portfolio, the ID of the vehicle portfolio will be empty in the request, set by the server,
//	and then returned non-empty in the response. This API endpoint is called during offline storage synchronization for
//	newly added or modified vehicle portfolios.
//
//	URL: {baseUrl}/vehicle-portfolio/pag/{pag}/user/{userHandle}
//
//	Request:
//		POST {basePath}/vehicle-portfolio/pag/{pag}/user/{userHandle} HTTP/1.1
//		Host: {host}
//		Content-Type: application/x-thrift
//		Content-Length: {length}
//		Accept: application/x-thrift
//		X-TrueCar-Token: {secureToken}
//
//		{UpdateVehiclePortfolioRequest}
//
//	Response (success):
//		HTTP/1.1 200 OK
//		Content-Type: application/x-thrift
//		Content-Length: {length}
//
//		{UpdateVehiclePortfolioResponse}
//
//	Response (error):
//		HTTP/1.1 {non200Status}
//		Content-Type: application/x-thrift
//		Content-Length: {length}
//
//		{Exception}
//
//	Potential Error Codes:
//		TokenInvalid
//		TokenExpired
//		UserHandleInvalid
//		
struct UpdateVehiclePortfolioRequest
{
	1:required TCThriftVehicle.VehiclePortfolio vehiclePortfolio,
}

struct UpdateVehiclePortfolioResponse
{
	1:required TCThriftVehicle.VehiclePortfolio vehiclePortfolio,
}
