include "ConsumerApp/DealerType.thrift"

namespace cocoa TCThrift
namespace java com.truecar.mobile.thriftApi

struct DealerHours
{
	1:optional string openTime,
	2:optional string closeTime,
}

struct DealerLinks
{
	1:optional string aboutDealershipUrl
	2:optional string facebookUrl
	3:optional string inventoryUrl
	4:optional string usedInventoryUrl
	5:optional string twitterUrl
	6:optional string websiteUrl
}

struct Dealer
{
												//	NCCD (NewCarCurveDealership) Field	Notes
												//	-----------------------------------	----------------------------------------
	1:required i64 id,									//	dealershipId
	2:optional string name,								//	n/a									omitted if lead not submitted
	3:optional string contactName,						//	n/a									omitted if lead not submitted
	4:optional string streetAddress1,					//	n/a									omitted if lead not submitted
	5:optional string streetAddress2,					//	n/a									omitted if lead not submitted
	6:optional string city,								//	n/a									omitted if lead not submitted
	7:optional string state,							//	dealershipState						omitted if lead not submitted
	8:optional string postalCode,						//	dealershipPostalCode				omitted if lead not submitted
	9:optional string phone,							//	n/a									omitted if lead not submitted
	10:optional double longitude,						//	n/a									omitted if lead not submitted
	11:optional double latitude,						//	n/a									omitted if lead not submitted
	12:optional i64 makeId,								//	n/a
	13:optional string makeName,						//	n/a
	14:optional DealerType.DealerType dealerType	    //	n/a
		= DealerType.NONTRUECAR,
	16:optional DealerHours mondayHours,
	17:optional DealerHours tuesdayHours,
	18:optional DealerHours wednesdayHours,
	19:optional DealerHours thursdayHours,
	20:optional DealerHours fridayHours,
	21:optional DealerHours saturdayHours,
	22:optional DealerHours sundayHours,
	23:optional i32 utcOffsetMillis,
	24:optional bool daylightSavingsTimeObserver,
	25:optional DealerLinks links,
    /**
     * Flag to indicate that this dealerhip is usable for PriceCheck.
     */
    26:optional bool priceCheckEnabled,
}


