include "Monetary.thrift"
include "DealerFeeOrAccessoryType.thrift"

namespace cocoa TCThriftConsumerApp_
namespace java com.truecar.mobile.thrift.consumerapp

/**
 *	Dealer fee.
 */
struct DealerFeeOrAccessory
{
	/**
	 *	Max legally allowable value for the fee per state rules. This is only applicable currently to documentation fees that have a max state documentation fee.
	 */
    1:optional Monetary.UsdCents maxAmount,
    
    /**
     *	Type of fee, it can be accessory, the documentation fee, or a general fee.
     */
    2:required DealerFeeOrAccessoryType.DealerFeeOrAccessoryType feeType,
    
    /**
     *	Price of the accessory or the fee amount.
     */
    3:optional Monetary.UsdCents amount,
    
    /**
     *	Name of the fee.
     */
    4:optional string name,
}
