/*
 * This file provides numeric data types.
 */

namespace java com.truecar.thrift.type
namespace cocoa TCThrift
 
/*
 * Common data type for representation of percentages.  The standard multiplier
 * can be used in conjunction with a source value between 0.0 and 1.0 to create
 * a standard Thrift percentage representation. 
 */
typedef i64 Percentage

/**
 * Given a percentage value, multiplication by this value will generate the
 * integral representation.  Division of a integral percentage representation
 * by this value will result in a percentage value scaled between 0.0 and
 * 1.0.
 */
const i32 PERCENTAGE_MULTIPLIER = 100000000


